Archives du tag ◊ linux ◊

Auteur :
• 26 mai 2012

Je viens tout juste de passer à LinuxMint Maya et la technique que j’avais publié en octobre 2011 afin d’installer Antidote RX v8 pour Ubuntu 11.10 est également valide pour Maya (et probablement aussi pour Ubuntu 12.04, mais je n’ai pas testé).

Voici donc un gigantesque copié/collé……..

Antidote n’est certainement pas un logiciel libre, mais je me permet quand même de publier dans le Planet Libre puisque le message est destiné aux utilisateurs d’un système d’exploitation libre…..

Alors, voici ce que j’ai appliqué afin de pouvoir utiliser ma version d’Antidote RX v8 (la H60).

Les manipulations qui suivent nécessitent des manipulations à effectuer avec des droits superutilisateurs (root) dont le mauvais usage peut engendrer des effets néfastes pour votre système. Je ne suis donc pas responsable de vos erreurs.

Tout d’abord, j’ai installé normalement Antidote v7 et ensuite j’ai appliqué le patch pour la v8. Jusqu’à 10.10 c’était terminé, un sudo antidote et on pouvait utiliser la chose.

LinuxMint Maya

Sous LinuxMint Maya on obtient le message d’erreur suivant:

antidote: error while loading shared libraries: libssl.so.6: cannot open shared object file: No such file or directory

La librairie libssl.so.6 semble avoir été remplacée par la libssl.so.1.0.0, pour y remédier j’ai crée le lien symbolique suivant dans les dossiers d’Antidote:

sudo ln -s /lib/i386-linux-gnu/libssl.so.1.0.0 /usr/local/Druide/Antidote/lib/libssl.so.6

Mais un problème semblable existe aussi pour le fichier libcrypto.so.6 puisqu’on obtient le message d’erreur suivant:

antidote: error while loading shared libraries: libcrypto.so.6: cannot open shared object file: No such file or directory

La librairie libcrypto.so.6 semble aussi avoir été remplacée par la libcrypto.so.1.0.0, pour y remédier j’ai également crée le lien symbolique suivant dans les dossiers d’Antidote:

sudo ln -s /lib/i386-linux-gnu/libcrypto.so.1.0.0 /usr/local/Druide/Antidote/lib/libcrypto.so.6

Il faut maintenant remédier à l’erreur suivante:

antidote: symbol lookup error: /usr/lib/i386-linux-gnu/libdbus-glib-1.so.2: undefined symbol: dbus_watch_get_unix_fd

Nous aurons besoin d’une version de libdbus-glib datant de l’époque de la sortie d’Antidote. Il faudra télécharger cette version (ne pas l’installer), la décompresser et ensuite copier les fichiers vétustes dans les répertoires d’Antidote.

wget http://security.ubuntu.com/ubuntu/pool/main/d/dbus-glib/libdbus-glib-1-2_0.74-2ubuntu0.1_i386.deb
dpkg -x libdbus-glib-1-2_0.74-2ubuntu0.1_i386.deb .
sudo cp usr/lib/* /usr/local/Druide/Antidote/lib/.

Et pour terminer, nous aurons à gérer l’erreur suivante:
D-Bus library appears to be incorrectly set up; failed to read machine uuid: Failed to open "/usr/local/var/lib/dbus/machine-id": Aucun fichier ou dossier de ce type

Le fichier machine-id existe dans /var/lib/dbus/. Il nous faudra donc créer un lien, mais d’abord assurons-nous que l’arborescence existe.

cd /usr/local/
sudo mkdir var
cd var/
sudo mkdir lib
cd lib/
sudo mkdir dbus
sudo ln -s /var/lib/dbus/machine-id /usr/local/var/lib/dbus/machine-id

Et voilà, ça devrait fonctionner…..

Bonne erreur de grammaire…

Auteur :
• 9 octobre 2011

Le correcteur d’orthographe Antidote dans sa version huit n’est officiellement supporté que pour Ubuntu 8.04. Mais jusqu’à la version 10.10, je n’ai eu aucun souci avec l’installation de celui-ci. Je n’avais même pas remarqué le problème avec 11.04 (ma 11.04 était une 10.10 mises à jour), mais lors d’une nouvelle installation de 11.04, pas possible d’y arriver sans bidouiller un brin.

Antidote n’est pas un logiciel libre, j’aurais pu aussi intituler ce billet : « c’est compliqué quand ce n’est pas libre », mais puisque que ça se passe dans Ubuntu, je publie.

Alors, voici ce que j’ai appliqué afin de pouvoir utiliser ma version d’Antidote RX v8 (la H60).

Les manipulations qui suivent nécessitent des manipulations à effectuer avec des droits superutilisateurs (root) dont le mauvais usage peut engendrer des effets néfastes pour votre système. Je ne suis donc pas responsable de vos erreurs.

Tout d’abord, j’ai installé normalement Antidote v7 et ensuite j’ai appliqué le patch pour la v8. Jusqu’à 10.10 c’était terminé, un sudo antidote et on pouvait utiliser la chose.

Depuis Ubuntu 11.10

Sous 11.10 on obtient le message d’erreur suivant:

antidote: error while loading shared libraries: libssl.so.6: cannot open shared object file: No such file or directory

La librairie libssl.so.6 semble avoir été remplacée par la libssl.so.1.0.0, pour y remédier j’ai crée le lien symbolique suivant dans les dossiers d’Antidote:

sudo ln -s /lib/i386-linux-gnu/libssl.so.1.0.0 /usr/local/Druide/Antidote/lib/libssl.so.6

Mais un problème semblable existe aussi pour le fichier libcrypto.so.6 puisqu’on obtient le message d’erreur suivant:

antidote: error while loading shared libraries: libcrypto.so.6: cannot open shared object file: No such file or directory

La librairie libcrypto.so.6 semble aussi avoir été remplacée par la libcrypto.so.1.0.0, pour y remédier j’ai également crée le lien symbolique suivant dans les dossiers d’Antidote:

sudo ln -s /lib/i386-linux-gnu/libcrypto.so.1.0.0 /usr/local/Druide/Antidote/lib/libcrypto.so.6

Il faut maintenant remédier à l’erreur suivante:

antidote: symbol lookup error: /usr/lib/i386-linux-gnu/libdbus-glib-1.so.2: undefined symbol: dbus_watch_get_unix_fd

Nous aurons besoin d’une version de libdbus-glib datant de l’époque de la sortie d’Antidote. Il faudra télécharger cette version (ne pas l’installer), la décompresser et ensuite copier les fichiers vétustes dans les répertoires d’Antidote.

wget http://security.ubuntu.com/ubuntu/pool/main/d/dbus-glib/libdbus-glib-1-2_0.74-2ubuntu0.1_i386.deb
dpkg -x libdbus-glib-1-2_0.74-2ubuntu0.1_i386.deb .
sudo cp usr/lib/* /usr/local/Druide/Antidote/lib/.

Et pour terminer, nous aurons à gérer l’erreur suivante:
D-Bus library appears to be incorrectly set up; failed to read machine uuid: Failed to open "/usr/local/var/lib/dbus/machine-id": Aucun fichier ou dossier de ce type

Le fichier machine-id existe dans /var/lib/dbus/. Il nous faudra donc créer un lien, mais d’abord assurons-nous que l’arborescence existe.

cd /usr/local/
sudo mkdir var
cd var/
sudo mkdir lib
cd lib/
sudo mkdir dbus
sudo ln -s /var/lib/dbus/machine-id /usr/local/var/lib/dbus/machine-id

Et voilà, ça devrait fonctionner…..

Bonne erreur de grammaire…

Auteur :
• 1 mars 2011

Voici une méthode permettant d’installer LibreOffice 3 à partir d’un dépôt Personal Package Archive (PPA). L’avantage du PPA par rapport à l’installation manuelle à partir des fichiers « .deb » est de recevoir les mises à jour ainsi que les mises à niveau automatiquement.

Veuillez noter que OpenOffice.org et LibreOffice ne peuvent coexister. Installer LibreOffice en suivant ces instructions supprimera OpenOffice.org de votre système.

Les manipulations qui suivent nécessitent des manipulations à effectuer avec des droits superutilisateurs (root) dont le mauvais usage peut engendrer des effets néfastes pour votre système. Je ne suis donc pas responsable de vos erreurs.

L’installation

Dans un terminal (Applications> Accessoires> Terminal):

sudo add-apt-repository ppa:libreoffice/ppa

On met à jour:

sudo apt-get update

On installe me « meta-package » LibreOffice:

sudo apt-get install libreoffice

Ensuite l’intégration pour gnome:

sudo apt-get install libreoffice-gnome

Et pour terminer la langue française:

sudo apt-get install libreoffice-l10n-fr

Voilà un tout nouveau LibreOffice

Notes:

Il est possible d’installer des applications spécifiques de LibreOffice, au lieu de toutes les applications.

  • libreoffice-writer: Traitement de textes
  • libreoffice-calc: Feuille de calcul
  • libreoffice-impress: Présentations
  • libreoffice-draw: Dessin
  • libreoffice-base: Base de données
  • libreoffice-math: Éditeur d’équations
  • libreoffice-filter-mobiledev: Filtres pour dispositifs mobiles

Si vous utilisez KDE comme bureau, l’intégration peut se faire par la commande suivante:

sudo apt-get install libreoffice-kde

Source

Auteur :
• 29 octobre 2010

Z’avez vu la dernière pub?

Voici un petit clip qui a été présenté plus tôt cette semaine au sommet des développeurs Ubuntu.

Lien vers le vidéo (si vous visionner à partir du planet-ubuntu francophone).

Catégorie : ubuntu | Tags : , , ,  | 22 commentaires
Auteur :
• 24 octobre 2010

Si vous faites une petite recherche dans la logithèque Ubuntu, vous remarquerez qu’une application propriétaire ET payante, un jeu dans notre cas, y a été ajoutée.



Je ne suis pas un « libre à tout prix », mais j’ignore encore si je dois m’en réjouir ou pleurer…. Chose certaine, c’est à suivre avec intérêt.

Et vous?

p.s. Stéphane Sébastien a essayé le jeu.

Catégorie : ubuntu | Tags : , , , ,  | 27 commentaires
Auteur :
• 17 octobre 2010

Vous connaissez déjà sans doute le live cd, outil permettant d’essayer GNU/Linux dans votre ordinateur sans rien changer.

Mais puisque Edubuntu est livré dans un DVD, l’expérimenter peut aussi devenir une tâche longue.

Et bien si vous avez un ordinateur dans lequel Java est installé (Linux, MacOS X, Solaris or Windows), il est maintenant possible d’essayer la dernière version d’Edubuntu, la version éducative d’Ubuntu, directement dans le web, sans rien installer ou télécharger dans votre ordinateur. Afin de pouvoir expérimenter Edubuntu pendant 2 heures, il suffit simplement de suivre le lien suivant:

La session est à la base dans une machine virtuelle utilisant la dernière version stable instalée dans un serveur dédié (situé à Frankfurt en Allemagne). Afin de conserver une certaine fluidité, un maximum de 10 utilisateurs peuvent utiliser simultanément le weblive.

L’opérateur du serveur, Stéphane Graber, prépare la transition vers Natty Narwhal dès qu’une version suffisamment stable est disponible.

Note. Remarquer que dans mon cas, j’ai eu à installer (c’est automatique) un applet java (NX Web Companion) afin de pouvoir me connecter

Lien direct: http://www.edubuntu.org/vmmanager.

Auteur :
• 15 octobre 2010

J’aurais aimé intituler ce billet: « Constante évolution » mais il n’aurait pas été fidèle au contenu principal de ce billet, l’Installation du pilote Wizardpen. Le pilote Wizardpen permet de faire fonctionner adéquatement les tablettes graphiques USB.

Mardi dernier je tentais l’installation d’une tablette graphique afin d’expérimenter un projet scolaire. Je n’avais jamais installé (ni même manipulé) une telle tablette. Bref, l’installation échoue, et par manque de temps, je ne cherche pas vraiment plus loin. Voilà qu’aujourd’hui, je décide de récidiver pendant la pause du midi avec mon ordinateur portable. Cinq minutes plus tard, la tablette fonctionne!

Pourtant, c’était la même manipulation. Mais bon, c’est la vie, et quand ça fonctionne,on  ne cherche pas toujours à comprendre :).
Mais voilà que ce soir, à la lecture de mes fils RSS, je découvre que plus tôt ce matin, le mainteneur du paquet a tout simplement mis à jour son dépôt afin que le pilote fonctionne correctement avec Maverick.

Les manipulations qui suivent nécessitent des manipulations à effectuer avec des droits superutilisateurs (root) dont le mauvais usage peut engendrer des effets néfastes pour votre système. Je ne suis donc pas responsable de vos erreurs

Donc pour faire fonctionner une tablette graphique qui n’est pas reconnue nativement (par exemple KYE, Trust, AceCad Flair, UC-Logic, Genius Pen, SuperPen etc), on doit d’abord installer le dépôt du pilote Wizardpen.

On ajoute le dépot suivant:

sudo add-apt-repository ppa:doctormo/xorg-wizardpen

On met à jour les dépots:

sudo apt-get update

Et on installe le pilote:

sudo apt-get install xserver-xorg-input-wizardpen

Voilà c’est terminé, au redémarrage, votre tablette fonctionne.

Pour une liste des tablettes réputées fonctionner avec le pilote, il y a une liste au début de cette documentation.

Constante évolution? Ça vaut la peine de jeter un coup d’oeil à l’ancienne documentation….

Bon dessin!

Auteur :
• 14 octobre 2010

Voici un petit vidéo sur l’utilisation du uTouch ( une couche de tactile multipoint) avec la version netbook Ubuntu  Unity.

Page 1 sur 8123456Dernière page »